package de.thd.pms.controller;

import java.beans.JavaBean;
import java.util.Date;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;

import de.thd.pms.model.Buchung;
import de.thd.pms.model.Kunde;

import de.thd.pms.service.KundeService;
import de.thd.pms.service.ZimmerService;

@JavaBean
@Controller
@RequestMapping("/kunde")
public class KundeController {
	private static Logger log = LogManager.getLogger(KundeController.class);
	
	@Autowired	
	private KundeService kundeService;
	@Autowired
	private ZimmerService zimmerService;
	


	@RequestMapping(value="/edit", method=RequestMethod.GET)
	    public ModelAndView edit(@RequestParam(required=false) Long zimmerid) {
	    	log.debug("edit id=" + zimmerid);
	    	ModelAndView mv = new ModelAndView();
	    	mv.addObject(new Kunde(zimmerid));
	    	mv.addObject("title", "Kundendaten");
			mv.addObject("message", "Bitte geben Sie hier Ihre Kundendaten ein'");
	    	mv.addObject("zimmer", zimmerService.findById(zimmerid));
	    	mv.setViewName("kunde");
	    	return mv;
	    }
	
	
	@RequestMapping(value="/save", method=RequestMethod.POST)
    public String save(Kunde kunde, Model model) {
        
        kundeService.save(kunde);
        model.addAttribute("statusMessageKey", "person.form.msg.success");
        return "redirect:edit?";
    }
	
	
	
	}
