package de.thd.pms.model;

import java.sql.Date;
import java.time.LocalDate;
import java.time.LocalDateTime;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="buchung")
public class Buchung {
	 
	 @Id
	 @GeneratedValue(strategy =GenerationType.IDENTITY)
	 @Column(name="belegnr")
	 private Long id;
	 private Date belegtvon;
	 private Date belegtbis;
	 private int belegtsum;
	 private int kundsum;
	 private int erwa_anz;
	 private int kind_anz;
	 private Long kundenid;
	 
	 @ManyToMany(targetEntity=de.thd.pms.model.Zimmer.class)
	 @JoinColumn(name="zimmerid", nullable=false)
	 private Long zimmerid;
	 
	 
	 public Buchung() {
		 
	 }
	 

	public Buchung(Long id2) {
		
		zimmerid = id2;
	}


	@Id
	 @GeneratedValue
	public Long getId() {
			return id;
		}

	public void setId(Long id) {
			this.id = id;
		}
	public Date getBelegtvon() {
		return belegtvon; 
	}
	public void setBelegtvon(Date belegtvon) {
		this.belegtvon = belegtvon;
	}
	public Date getBelegtbis() {
		return belegtbis;
	}
	public void setBelegtbis(Date blegetbis) {
		this.belegtbis = blegetbis;
	}
	public int getBelegtsum() {
		return belegtsum;
	}
	public void setBelegtsum(int belegtsum) {
		this.belegtsum = belegtsum;
	}
	public Long getZimmerid() {
		return zimmerid;
	}
	public void setZimmerid(Long zimmerid) {
		this.zimmerid = zimmerid;
	}
	public Long getKundenid() {
		return kundenid;
	}
	public void setKundenid(Long kundenid) {
		this.kundenid = kundenid;
	}
	
	public int getKundsum() {
		return kundsum;
	}


	public void setKundsum(int kundsum) {
		this.kundsum = kundsum;
	}


	public int getErwa_anz() {
		return erwa_anz;
	}


	public void setErwa_anz(int erwa_anz) {
		this.erwa_anz = erwa_anz;
	}


	public int getKind_anz() {
		return kind_anz;
	}


	public void setKind_anz(int kind_anz) {
		this.kind_anz = kind_anz;
	}

}
